Bug 560266 - wacom Bamboo not working
wacom Bamboo not working
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: linuxwacom (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-30 12:44 EST by pleabargain
Modified: 2014-06-09 11:56 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 00:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to get 2.6.24 module built on 2.6.18 (RHEL5) (9.50 KB, patch)
2010-04-26 12:56 EDT, Forrest Taylor
no flags Details | Diff
inkscape hanging while trying to select wacom tablet as input (1.66 KB, text/x-log)
2010-12-16 05:25 EST, pleabargain
no flags Details

  None (edit)
Description pleabargain 2010-01-30 12:44:31 EST
Description of problem:
Wacom Bamboo Pen not working on latest F12.
model ctl-460

Version-Release number of selected component (if applicable):
Bamboo: model ctl-460

How reproducible:
all the time

Steps to Reproduce:
install xorg-x11-drivers-7.3-13.fc12.i686 and linuxwacom (latest)
2.
3.
  
Actual results:
pen doesn't work

Expected results:
pen as cursor works

Additional info:
tapping pen on tablet and light on tablet indicated the tablet 'sees' the pen
-------
rpm -qa linuxwacom*
linuxwacom-0.8.2.2-17.fc12.i686
------------
screengrab of inkscape seeing pen
http://sites.google.com/site/anotherfedora12site/fedora-12-animated-gifs/seeswacom.png.jpg?attredirects=0
-----------
rpm -qa xorg-x11-drivers
xorg-x11-drivers-7.3-13.fc12.i686

---------
find / -name *wacom
/usr/libexec/hal-setup-wacom
/usr/src/kernels/2.6.31.12-174.2.3.fc12.i686/include/config/touchscreen/wacom
/usr/src/kernels/2.6.31.6-166.fc12.i686/include/config/touchscreen/wacom
/usr/src/kernels/2.6.31.9-174.fc12.i686/include/config/touchscreen/wacom
/usr/bin/xsetwacom
/sys/bus/usb/drivers/wacom
/sys/module/wacom
/sys/module/wacom/drivers/usb:wacom
--------
dmesg |grep wacom
usbcore: registered new interface driver wacom
wacom: v1.51:USB Wacom Graphire and Wacom Intuos tablet driver
usbcore: deregistering interface driver wacom
usbcore: registered new interface driver wacom
wacom: v1.51:USB Wacom Graphire and Wacom Intuos tablet driver
---
dmesg: http://fpaste.org/I9Ud/
Comment 1 Peter Hutterer 2010-02-11 22:17:15 EST
Renaming to reflect actual problem - Bamboo tablets don't work.

We don't have Bamboo support yet and while there's a fair bit of work going on upstream we're not there yet. sorry. Meanwhile, you can help by testing the bamboo branch from 
git://linuxwacom.git.sourceforge.net/gitroot/linuxwacom/xf86-input-wacom
and report any problems with it to the linuxwacom-devel list.

I'll keep this bug open, hoping that I'll remember to note it here once we have support :)
Comment 2 Forrest Taylor 2010-04-26 12:36:33 EDT
Good news, I was able to find a work-around!

I have a Wacom Bamboo Pen Tablet 4x5 (CTL-460).

I updated to the latest x11-input-wacom:

xorg-x11-drv-wacom-0.10.5-1.fc12.x86_64
(obviously I'm on F12 x86_64)

It turns out that the kernel driver was the issue.  I downloaded the latest driver (actually I used the python script from the GetWacom SF project).  The current version at this time is 0.8.6 (which includes five new bamboo products).

wget -m -nd http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.8.6.tar.bz2
tar xf linuxwacom-0.8.6.tar.bz2
cd linuxwacom-0.8.6/
./configure --enable-wacom

One note at this point: the release notes for this particular version mention that the update was backported only back to 2.6.24.  I'm actually running RHEL5 as well, so there were some changes that I had to figure out so that it would work.  I'll outline those in a different post.

For Fedora 12, change into the 2.6.30 directory:

cd src/2.6.30
make

That will make the kernel module.  Copy it to the right place, assuming you are running the kernel in which you want to install it:

sudo mkdir /lib/modules/`uname -r`/extra/wacom
sudo cp wacom.ko /lib/modules/`uname -r`/extra/wacom
sudo depmod -a

Verify that the new wacom module is in place:

modinfo wacom | grep filename
                filename:       /lib/modules/`uname -r`/extra/wacom/wacom.ko


sudo modprobe wacom

That should be it.  Plug in the Bamboo and verify it works.
Comment 3 Forrest Taylor 2010-04-26 12:54:39 EDT
The RHEL5 workaround is a bit more difficult as mentioned above.  The updates were only backported to the 2.6.24 kernel, and RHEL5 uses the 2.6.18 kernel.

After trying to make module (several times) and researching the functions that broke, I was able to generate a patch that allows the module to build.  The following were the items that I reverted, where the items on the left are the newer items, and the items on the right are the items that seemed to work on the RHEL5 kernels:

BIT_MASK  ->  BIT
BIT_WORD  ->  BITOP_WORD
dev.parent  ->  cdev.dev

input_set_drvdata(TYPE1, TYPE2)  ->  TYPE1->private=TYPE2
input_get_drvdata(TYPE1)  ->  TYPE1->private
(where TYPE1 and TYPE2 are variables)


Really the only place that this differs for RHEL5 from the above commands is the point where you change into the kernel directory and make the wacom module.

For RHEL5:
Download the patch for the 2.6.24 kernel

cd src/2.6.24
patch -p0 < wacom-2.6.24-to-2.6.18.patch
make

...and continue the steps above to create the directory, copy the module, run depmod, etc.

I haven't gotten gimp to recognize the device specifically (for pressure, etc.), but it does work as a pointer device.
Comment 4 Forrest Taylor 2010-04-26 12:56:31 EDT
Created attachment 409233 [details]
Patch to get 2.6.24 module built on 2.6.18 (RHEL5)
Comment 5 collura 2010-04-28 01:58:51 EDT
*link to the original being closed:

https://bugzilla.redhat.com/show_bug.cgi?id=496699

and redirected to here.
Comment 6 michael.prisant 2010-05-28 21:29:40 EDT
I am also not able to get the Wacom Bamboo Pen Tablet (CTL-460) working with Fedora 13.  I am assuming that if the tablet is working then it should show up in the relevant Gimp and Inkscape preference submenus as a possible input device but it does not. Hope someone can comment or help with this.

I have tried installing both the updates and updates-testing versions of xorg-x11-drv-wacom and xorg-x11-drv-wacom-devel. (For updates-testing the packages respectively are: xorg-x11-drv-wacom-devel-0.10.6-3.fc13.i686 and xorg-x11-drv-wacom-0.10.6-3.fc13.i686).

I have also tried copying either, both, or neither of the xorg configuration file 50-wacom.conf and udev rules file 70-wacom.rules provided with the rpm into (at least what I think are) the appropriate directories ie 

cp /lib/udev/rules.d/70-wacom.rules /etc/udev/rules.d
cp /usr/share/X11/xorg.conf.d/50-wacom.conf /etc/X11/xorg.conf.d

None of the various combinations works after rebooting.*

For what it is worth: 

(1) The white led on the tablet illuminates on plugin and flashes on pen touch.  
(2) Running modinfo shows the kernel module is present:
# modinfo wacom | grep filename
filename:       /lib/modules/2.6.33.4-95.fc13.i686.PAE/kernel/drivers/input/tablet/wacom.ko
(3) The tablet is detected on plugin: 
# lsusb 
...
Bus 004 Device 002: ID 056a:00d4 Wacom Co., Ltd 
...
(4) I don't think that I am seeing the tablet show up under /dev/input

Would really appreciate any help in trying to get this working with Fedora 13.

*Also tried fiddling with the udev rules file per discussion in: 
http://fedoraforum.org/forum/showthread.php?p=1360587
by substituting values appropriate to my usb  plug and ctl-460 model number ie:

KERNEL=="4-2", SUBSYSTEM=="usb", DRIVER=="usb", ATTR{idProduct}=="00d4", SYMLINK+="input/wacom-ctl460"

as determined by suggested use of lshal -u usb_device_56a_d4_noserial_if0 and 
udevadm info -a -p /devices/pci0000:00/0000:00:13.2/usb4/4-2/4-2:1.1 commands
Comment 7 linux.ninja1 2010-07-06 15:09:00 EDT
At least for Fedora 13 I got it working by compiling a newer driver.

I packed it up in a script as I don't want to support this over the phone.

http://groups.google.co.uk/group/eeelinux/web/f13-wacom-ct-460-tablet-get-it-working-quickly

#!/bin/bash
#
# prepares your Fedora 13 for the use of a nice WACOM CT-460 tablet until rpm modules are available ...
#
#
# great thanks to http://nbnds.wordpress.com/2010/05/04/how-to-bamboo-ctl-460-with-fedora-13/
#
# version 0.11: corrected some errors in the configure statement
# version 0.12: using uname-r to make sure we do it for the right kernel
# version 0.13: tested it with wacom version 0.8.8.4 on 2.6.33.5-124.fc13.x86_64
#
#
#
# latest version will always be available at : http://groups.google.co.uk/group/eeelinux/
# make sure you apply for membership
# do send me comments and updates
#
#
# first we need to setup the missing dependacies, so we can build the wacom driver
#
echo "First installing dependancies using the regular repositories !"
#
yum -y install gcc gcc-c++ kernel-headers kernel-devel libXi-devel libX11-devel xorg-x11-proto-devel xorg-x11-server-devel tk-devel tcl-devel ncurses-devel  xorg-x11-drv-wacom-devel libXrandr-devel
#
#
#
#
#
echo "Ready to build !"
cd /root
mkdir wacom
cd wacom
wget http://sourceforge.net/projects/linuxwacom/files/linuxwacom/0.8.8-4/linuxwacom-0.8.8-4.tar.bz2/download

tar -xf linuxwacom-0.8.8-4.tar.bz2
cd linuxwacom-0.8.8-4
ll
./configure --disable-libwacomcfg --disable-libwacomxi --disable-wacdump --disable-xidump --disable-xsetwacom --disable-wacomxrrd --disable-wacomdrv --enable-wacom
#
make
#
# now copy the wacom.ko to the right location
cd src/2.6.30/
cp wacom.ko  /lib/modules/`uname -r`/kernel/drivers/input/tablet/
#
# verify if the thing is working
echo "Ready to move in !"
depmod -a
modprobe wacom
#
# make it permanent
echo modprobe wacom >> /etc/rc.modules
chmod +x /etc/rc.modules
#
# now plugin your tablet and try out inkscape
#
echo "now plug-in your tablet and try out inkscape !"
#
#
Comment 8 Luis Montes 2010-07-14 20:10:27 EDT
That fix only seems to work for X11 versions older than 1.7.  So the default Fedora 13 won't work with it.
Comment 9 pleabargain 2010-09-03 09:56:48 EDT
(In reply to comment #7)
> At least for Fedora 13 I got it working by compiling a newer driver.
> 
> I packed it up in a script as I don't want to support this over the phone.
> 
> http://groups.google.co.uk/group/eeelinux/web/f13-wacom-ct-460-tablet-get-it-working-quickly
> 
> #!/bin/bash
> #
> # prepares your Fedora 13 for the use of a nice WACOM CT-460 tablet until rpm
> modules are available ...
> #
> #
> # great thanks to
> http://nbnds.wordpress.com/2010/05/04/how-to-bamboo-ctl-460-with-fedora-13/
> #
> # version 0.11: corrected some errors in the configure statement
> # version 0.12: using uname-r to make sure we do it for the right kernel
> # version 0.13: tested it with wacom version 0.8.8.4 on
> 2.6.33.5-124.fc13.x86_64
> #
> #
> #
> # latest version will always be available at :
> http://groups.google.co.uk/group/eeelinux/
> # make sure you apply for membership
> # do send me comments and updates
> #
> #
> # first we need to setup the missing dependacies, so we can build the wacom
> driver
> #
> echo "First installing dependancies using the regular repositories !"
> #
> yum -y install gcc gcc-c++ kernel-headers kernel-devel libXi-devel libX11-devel
> xorg-x11-proto-devel xorg-x11-server-devel tk-devel tcl-devel ncurses-devel 
> xorg-x11-drv-wacom-devel libXrandr-devel
> #
> #
> #
> #
> #
> echo "Ready to build !"
> cd /root
> mkdir wacom
> cd wacom
> wget
> http://sourceforge.net/projects/linuxwacom/files/linuxwacom/0.8.8-4/linuxwacom-0.8.8-4.tar.bz2/download
> 
> tar -xf linuxwacom-0.8.8-4.tar.bz2
> cd linuxwacom-0.8.8-4
> ll
> ./configure --disable-libwacomcfg --disable-libwacomxi --disable-wacdump
> --disable-xidump --disable-xsetwacom --disable-wacomxrrd --disable-wacomdrv
> --enable-wacom
> #
> make
> #
> # now copy the wacom.ko to the right location
> cd src/2.6.30/
> cp wacom.ko  /lib/modules/`uname -r`/kernel/drivers/input/tablet/
> #
> # verify if the thing is working
> echo "Ready to move in !"
> depmod -a
> modprobe wacom
> #
> # make it permanent
> echo modprobe wacom >> /etc/rc.modules
> chmod +x /etc/rc.modules
> #
> # now plugin your tablet and try out inkscape
> #
> echo "now plug-in your tablet and try out inkscape !"
> #
> #

That script fails on Fedora 13:
http://www.youtube.com/watch?v=w7KZe5qzPfE

I have the wacom drivers installed
[root@localhost rules.d]# rpm -qa *wacom*
wacomexpresskeys-0.4.2-3.fc12.i686
xorg-x11-drv-wacom-0.10.8-2.fc13.i686
xorg-x11-drv-wacom-devel-0.10.8-2.fc13.i686


but inkscape and gimp will not 'see' the drivers

I have read this page: http://linuxwacom.sourceforge.net/index.php/howto/loadwacom
and a bunch of other sites and find it frankly amazing that wacom tablets are so poorly supported by Fedora.
Comment 10 pleabargain 2010-09-03 09:59:36 EDT
I have updated the version problem to Fedora 13 as it wacom tablets don't work out of the box on F13 either. /sigh
Comment 11 Peter Hutterer 2010-09-06 01:01:58 EDT
(In reply to comment #9)
> I have read this page:
> http://linuxwacom.sourceforge.net/index.php/howto/loadwacom
> and a bunch of other sites and find it frankly amazing that wacom tablets are
> so poorly supported by Fedora.

This has little to do with Fedora. linuxwacom upstream has yet to submit kernel patches to the upstream kernel. All the Bamboo patches you'll find out there at the moment are out-of-tree against the out-of-tree wacom kernel modules. The exception is Henrik Rydberg's quite recent Bamboo patch on LKML.


(In reply to comment #8)
> That fix only seems to work for X11 versions older than 1.7.  So the default
> Fedora 13 won't work with it.

only the X driver is replaced by xorg-x11-drv-wacom. the kernel modules can still be hand-compiled on F13 if needed.
Comment 12 collura 2010-10-11 11:48:46 EDT
fyi:

http://bitmath.org/code/multitouch/

"The Multitouch X Driver driver uses the kernel MT protocol to bring
multi-touch gestures to the Linux desktop."
Comment 13 pleabargain 2010-12-16 05:22:40 EST
Fedora 14
Wacom tablet lights up but does NOT work.
Comment 14 pleabargain 2010-12-16 05:25:54 EST
Created attachment 469109 [details]
inkscape hanging while trying to select wacom tablet as input

I would really like to get my wacom to work on Fedora14
Comment 15 linux.ninja1 2010-12-16 10:15:43 EST
Please, everybody with a Wacom tablet please call your local Wacom Sales office at least one's to complain about the poor linux support, the internal development processes and the lack of upstream integration.

If your promise to call the Wacom sales office, then  you can use this script to get it working on Fedora 14.   You need to run it again after each kernel update



#1/bin/bash
echo "First installing dependancies using the regular repositories !"
#
yum -y install gcc gcc-c++ kernel-headers kernel-devel libXi-devel libX11-devel xorg-x11-proto-devel xorg-x11-server-devel tk-devel tcl-devel ncurses-devel xorg-x11-drv-wacom-devel libXrandr-devel wget
#
echo "Ready to download and build the wacom driver !"
cd /root
mkdir wacom
cd wacom
#
# get the code using wget
wget --no-http-keep-alive "http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.8.8-10.tar.bz2"
echo ""
echo "download complete"
#
echo "ready to untar "
tar -xf linuxwacom-0.8.8-10.tar.bz2 
cd linuxwacom-0.8.8-10

echo "Compiling code now ..."
./configure --enable-wacom
make

# repeat this after each kernel update
# find running kernel, we will need to copy the module to the right directory in the next step
#
# now copy the wacom.ko to the right location
cd src/2.6.30/
cp wacom.ko  /lib/modules/`uname -r`/kernel/drivers/input/tablet/
#
# verify if the thing is working
echo "Ready to move in !"
depmod -a
modprobe wacom
#
Comment 16 Fabian A. Scherschel 2010-12-21 06:09:47 EST
I doubt Wacom has much to do with our problem. As you well know if you wrote that script, the drivers are there, the problem is that they aren't included in the mainline kernel.

I detailed how to get the tablet working for F13 some time ago:
http://sixgun.org/fab/blog/2010/wacom-bamboo-setup

And here again for F14: 
http://sixgun.org/fab/blog/2010/wacom-bamboo-update-f14
Comment 17 pleabargain 2010-12-27 10:01:05 EST
(In reply to comment #16)
> I doubt Wacom has much to do with our problem. As you well know if you wrote
> that script, the drivers are there, the problem is that they aren't included in
> the mainline kernel.
> 
> I detailed how to get the tablet working for F13 some time ago:
> http://sixgun.org/fab/blog/2010/wacom-bamboo-setup
> 
> And here again for F14: 
> http://sixgun.org/fab/blog/2010/wacom-bamboo-update-f14

Greetings Fabian,
I worked through your blog instructions to no avail.


[user@localhost ~]$ uname -r
2.6.35.10-72.fc14.i686

copied the wacom.ko file
[user@localhost 2.6.30]$ sudo cp wacom.ko /lib/modules/2.6.35.10-72.fc14.i686/kernel/drivers/input/tablet/

but modprobe and depmod -a both come back empty
[user@localhost 2.6.30]$ modprobe wacom
[user@localhost 2.6.30]$ depmod -a
FATAL: Could not open /lib/modules/2.6.35.10-72.fc14.i686/modules.dep.temp for writing: Permission denied<<<<<<<< go to sudo then...

[user@localhost 2.6.30]$ sudo depmod -a
[sudo] password for user: 
[user@localhost 2.6.30]$ sudo depmod -a
>>>>>>>>>null/nada/nothing

Tried GIMP and Inkscape with no joy. The LED light is working on the tablet and works fine with Vista and XP but no joy on Fedora 13 or Fedora 14.

Please advise.
Comment 18 pleabargain 2010-12-27 10:37:22 EST
Here's a video I made showing part of the problem. 
http://screenjel.ly/ET-CMS9Krxo
Comment 19 Peter Hutterer 2011-01-03 20:50:36 EST
(In reply to comment #16)
> I doubt Wacom has much to do with our problem. As you well know if you wrote
> that script, the drivers are there, the problem is that they aren't included in
> the mainline kernel.

the tarball available on the linuxwacom website only includes backports to older kernel. sometimes new devices are added there first because the upstream kernel may have different requirements that require more work. in the bamboo case, the issue was that the multi-touch features had to be implemented for the MT protocol for upstream, which was vastly more work. hence the availability of a bamboo driver for older kernels, but no support upstream until a short while ago.
Comment 20 collura 2011-01-04 16:19:16 EST
so the next volley is to test kernel 2.6.37?

http://kernelnewbies.org/Linux_2_6_37-DriversArch

  "2.10. INPUT
    * wacom: add support for Bamboo Pen (commit), add support for the 
      Bamboo Touch trackpad (commit), wacom_w8001: add multitouch slot 
      support (commit), 
   ..."

which links to:

   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=2aaacb153689dbe9064e4db7e9d00de0edfc1fa0

   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=cb734c03680eaaad64a20a666300eafd1ac260b2

   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=5e8b9140f306ce30e7c56c568198720514efc872




fingers crossed...
Comment 21 Peter Hutterer 2011-01-04 16:35:11 EST
(In reply to comment #20)
> so the next volley is to test kernel 2.6.37?

correct. but because of the above reasons, we cannot backport this as the bamboo support relies on the MT_SLOT support which isn't available in 2.6.36.
Comment 22 collura 2011-01-19 22:58:59 EST
begads, CTH-460/K is alive and well on the rawhide_f15.

   kernel-2.6.37-2.fc15.x86_64
   xorg-x11-drv-wacom-0.10.10

only had time to try simple cursor movements and some taps but looks very promising.

cursor movement responded to movement of: 
   pen (pad indicator led goes orange) 
   and of finger (pad indicator led goes white)

at startup pad light is white and kind of dim, when move pen lightly onto pad the light goes orange and bright to signal sense of pen, when move finger onto/along pad the light goes white and bright to signal sense of finger.

only had chance to check briefly and cursor movement was pretty jumpy compared to a standard notebook pad but i think that might be a pad resolution quality issue?

(i also seemed to be having videocard detection issues but think is not related to jumpiness )

pad buttons seemed to work
 
tapping seems to work by tap-once on a screen icon would give me mouseover info
tap-twice on a screen icon would execute a click of the icon


thanks for the progress

you guys rule
Comment 23 collura 2011-01-19 23:16:32 EST
restating packages:

   kernel-2.6.37-2.fc15.x86_64
   xorg-x11-drv-wacom-0.10.10-2-20101122-fc15.x86_64

cause i lopped off the end of the xorg description last time doh.
Comment 24 collura 2011-01-22 23:07:42 EST
also, for what its worth, the cursor moves with the pen up to about 1 cm away from the pad so dont worry about not pushing hard enough.  there is no needing to have to grind down the tip of the pen to get a signal when debugging the movement response.
Comment 25 Fabian A. Scherschel 2011-03-23 19:22:38 EDT
This is fixed for the CTL-460 with Fedora 15 Alpha. Plug & play with the new kernel. :)
Comment 26 Peter Hutterer 2011-03-23 23:47:27 EDT
Chris Bagwell has been busy getting the Bamboo working in the upstream kernel. Thanks to that, 2.6.37 supports Bamboos quite well. so please express your thanks to him if you bump into him somewhere :)
Comment 27 collura 2011-03-24 02:06:14 EDT
regarding comment#26:

  my gratitude and a theoretical cookie to Chris Bagwell :')
Comment 28 Fabian A. Scherschel 2011-03-24 02:55:11 EDT
@Peter: I will. Awesome work! Thanks, Chris! :D
Comment 29 Forrest Taylor 2011-05-30 15:22:29 EDT
RHEL6 uses kernel-2.6.32, so the workaround is similar to that listed above:

# Download the linuxwacom driver tarball
wget -m -nd http://sourceforge.net/projects/linuxwacom/files/linuxwacom/0
.8.9/linuxwacom-0.8.9.tar.bz2/download

# Prep it
tar xf linuxwacom-0.8.9.tar.bz2
cd linuxwacom-0.8.9/

# Install needed packages
sudo yum install automake tcl-devel tk-devel

# Create an automake-1.9 link
sudo ln -s /usr/share/automake-1.11/ /usr/share/automake-1.9

./configure  --enable-wacom
cd src/2.6.30/
make

# Make directory for wacom module
sudo mkdir /lib/modules/`uname -r`/extra/wacom
sudo cp wacom.ko /lib/modules/`uname -r`/extra/wacom

sudo depmod -a

# Verify
modinfo wacom | grep filename
  filename:       /lib/modules/2.6.32-125.el6.x86_64/extra/wacom/wacom.ko

sudo modprobe wacom
Comment 30 Peter Hutterer 2011-05-31 00:04:22 EDT
I'm closing this as CURRENTRELEASE. As per comment 25, Fedora 15 supports Bamboos.

The linuxwacom out-of-tree kernel patches won't be backported and/or included in older versions at this point. Please either follow the instructions outlined in comment 29 or update to F15.
Comment 31 Bug Zapper 2011-06-02 12:43:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 pleabargain 2014-06-09 11:56:35 EDT
No longer an issue/ not using Fedora

Note You need to log in before you can comment on or make changes to this bug.